# Generated by Django 3.2.5 on 2021-07-10 18:57

from django.db import migrations, models
import django.db.models.deletion
import webproj.accessibility_checker.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='PageReport',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('found_urls', models.TextField(blank=True, default='')),
                ('remaining_depth', models.SmallIntegerField()),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='accessibility_checker.pagereport')),
            ],
            bases=(models.Model, webproj.accessibility_checker.models.TimestampedMixin),
        ),
        migrations.CreateModel(
            name='ReportLineGenerator',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
            bases=(models.Model, webproj.accessibility_checker.models.TimestampedMixin),
        ),
        migrations.CreateModel(
            name='ReportLineIssuePattern',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
            bases=(models.Model, webproj.accessibility_checker.models.TimestampedMixin),
        ),
        migrations.CreateModel(
            name='ReportLineSubjectOfConcern',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
            bases=(models.Model, webproj.accessibility_checker.models.TimestampedMixin),
        ),
        migrations.CreateModel(
            name='RequestedReport',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('depth', models.SmallIntegerField()),
            ],
            bases=(models.Model, webproj.accessibility_checker.models.TimestampedMixin),
        ),
        migrations.CreateModel(
            name='WebURL',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(max_length=4096, unique=True)),
            ],
            bases=(models.Model, webproj.accessibility_checker.models.TimestampedMixin),
        ),
        migrations.CreateModel(
            name='PageReportLine',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.TextField(blank=True, default='')),
                ('snippet', models.TextField(blank=True, default='')),
                ('location', models.TextField(blank=True, default=None, null=True)),
                ('line_start', models.IntegerField(blank=True, default=None, null=True)),
                ('line_end', models.IntegerField(blank=True, default=None, null=True)),
                ('column_start', models.IntegerField(blank=True, default=None, null=True)),
                ('column_end', models.IntegerField(blank=True, default=None, null=True)),
                ('passed', models.BooleanField(blank=True, default=False)),
                ('severity', models.CharField(max_length=255)),
                ('severity_int', models.IntegerField(default=0)),
                ('generator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lines', to='accessibility_checker.reportlinegenerator')),
                ('pattern', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lines', to='accessibility_checker.reportlineissuepattern')),
                ('report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lines', to='accessibility_checker.pagereport')),
                ('subject_of_concern', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lines', to='accessibility_checker.reportlinesubjectofconcern')),
            ],
            bases=(models.Model, webproj.accessibility_checker.models.TimestampedMixin),
        ),
        migrations.AddField(
            model_name='pagereport',
            name='request',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reports', to='accessibility_checker.requestedreport'),
        ),
        migrations.AddField(
            model_name='pagereport',
            name='url',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reports', to='accessibility_checker.weburl'),
        ),
    ]
